function [RESX,RESY]=DFAHanle(ARG,stepBegin,stepEnd,step,ratio);
% Функция построена согласно статьи
% Stanley E. etc "The statistical properties of the volatility of price uctuations"
% Построение массивов по методу DFA
% Вход  : ARG - матрица значений y(t')
% Выход : RES - нормализованная матрица волатильности

[m,n]=size(ARG);
AVG=sum(ARG)/n;
for i=1:m
    ARG2(i,1)=ARG(i,1)-AVG(i,1);
    for j=2:n
        ARG2(i,j)=ARG2(i,j-1)+(ARG(i,j)-AVG(i,1));
    end
end

%HNDL=gcf;
%figure;             %
%plot(ARG2);         %
%figure(HNDL);

addToProgress(0,stepBegin,stepEnd+1);
globalIndex=1;

i=stepBegin;
while (i<=stepEnd)
    addToProgress(i);
    SUM=0;
    index=1;
    indexEnd=index+i-1;
    while indexEnd<=n
        [a,b]=MinSquare([index:indexEnd],ARG2(1,index:indexEnd));
        for j=index:indexEnd
            T=ARG2(1,j)-(a*j+b);
            SUM=SUM+T*T;
        end
        index=indexEnd+1;
        indexEnd=index+i-1;
    end
    RESX(1,globalIndex)=i;
    RESY(1,globalIndex)=sqrt(SUM/n);
    globalIndex=globalIndex+1;
    if nargin==5
        iNew=fix(i*ratio);
        if i==iNew
            i=i+1;
        else
            i=iNew;
        end
    else
        i=i+step;
    end
end

addToProgress(stepEnd+1);